<script setup lang="ts">
import { fetchAllAddresses } from '@/address-service';
import AddressList from '@/components/AddressList.vue';
import type { Address } from '@/entities';
import { onMounted, ref } from 'vue';

const addresses = ref<Address[]>([]);

onMounted(async () => {
  addresses.value = await fetchAllAddresses();
})

function removeFromList(address:Address) {
  addresses.value = addresses.value.filter(item => item.id != address.id);
}

</script>

<template>
  <main>
    <AddressList :addresses="addresses" @remove="removeFromList($event)" />    
  </main>
</template>
